• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

ERROR: Error Domain=com.apple.dt.CoreDeviceError Code=3002 "Failed to install the app on the

Contributor ,
Nov 09, 2023 Nov 09, 2023

Copy link to clipboard

Copied

I’m developing an iOS App on my Mac using Animate 24 and AID SDK 50.2.3.8. Everything went well - until I made the mistake to Upgrade vom macOS 13.1 to macOS 14.1.1


I’ve created all new Certificates and Profiles and everything SHOULD be working as smoothly as before - but now I can no longer install the App via Xcode on my Test-Devices (iPad Pro 11 iOS 17.0.3 and iPhone 13 mini iOS 17.1.1)


When I try to install the App via Xcode 15.0.1 I’m getting this Error Message immediately:

Error installing '/Users/…./Appe.ipa', ERROR: Error Domain=com.apple.dt.CoreDeviceError Code=3002 "Failed to install the app on the device." UserInfo={NSLocalizedDescription=Failed to install the app on the device., NSUnderlyingError=0x600002619590 {Error Domain=com.apple.dt.CoreDeviceError Code=3000 "The item at yogeee.ipa is not a valid bundle." UserInfo={NSURL=file:////Users/…./Appe.ipa, NSLocalizedFailureReason=Failed to read the bundle., NSLocalizedDescription=The item at App.ipa is not a valid bundle.}}, NSURL=file:////Users/…./Appe.ipa}
Domain: com.apple.dt.DVTCoreDevice
Code: -1
User Info: {
DVTErrorCreationDateKey = "2023-11-09 10:57:43 +0000";
}
--

System Information
macOS Version 14.1.1 (Build 23B81)
Xcode 15.0.1 (22266) (Build 15A507)
Timestamp: 2023-11-09T11:57:43+01:00

 

 


Something seems to have changed with the signing/certificates or so.


When I try to install the App via Apple Configuration it installs the App - but after about 75% are finished it stops a the Message:

„App“ can not be installed. This App can not be installed because its integrity could not be verified.

It still works to install an older version of my App (.ipa) / a version I published with macOS13.1 and AIR SDK 50.2.3.6 from before the Update from macOS 13 to macOS 14 - via Apple Configurator or the Finder.

 

But now… no chance!


Can Anyone help please?

TOPICS
Code , Error , How to , Other , Publish package

Views

199

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation